import * as types from "../actionTypes";

const initialState = {
	user: null,
	isFetching: false
};

export default (state = initialState, { type, payload }) => {
	switch (type) {
		case types.AUTH_REQUEST: {
			return { ...state, isFetching: true };
		}
		case types.AUTH_REQUEST_SUCCESS: {
			console.log("AUTH_REQUEST_SUCCESS", payload);

			return { ...state, isFetching: false, user: payload.data.user };
		}
		case types.AUTH_REQUEST_FAIL: {
			console.log("AUTH_REQUEST_FAIL", payload);

			return { ...state, isFetching: false };
		}

		case types.REGISTRATION_REQUEST: {
			return { ...state, isFetching: true };
		}
		case types.REGISTRATION_REQUEST_SUCCESS: {
			console.log("REGISTRATION_REQUEST_SUCCESS", payload);

			return { ...state, isFetching: false };
		}
		case types.REGISTRATION_REQUEST_FAIL: {
			console.log("REGISTRATION_REQUEST_FAIL", payload);

			return { ...state, isFetching: false };
		}

		default: {
			return state;
		}
	}
};
